package com.cusc.adas.v2x.selfdefine.dto;

import com.cusc.adas.v2x.dto.PositionDto;
import com.cusc.adas.v2x.utils.FieldDef;
import com.cusc.adas.v2x.utils.Order;
import com.cusc.adas.v2x.vo.Position;

/**
 * 
 * @author huangml
 *
 */
public class SelfDefineDetailDto {
	
	@Order(1)
	@FieldDef(type="BYTE",isArray=true,length=8)
	private String rvVehicleId;
	
	//预警类型
	@Order(2)
	private short type;
	
	//GNSS时间戳
	@Order(3)
    @FieldDef(type = "TIMESTAMP", isArray = false, length = 8)
    private long timestampGNSS;
	
	//主车经纬度
	@Order(4)
	private PositionDto location;
	
	//主车速度
	@Order(5)
	private int speed;
	
	//主车航向角
	@Order(6)
	private int heading;

	//RV远车经纬度
	@Order(7)
	private PositionDto rvLocation;
	
	//RV方向 
	@Order(8)
	private  int rvHeading;
	
	//预警级别
	@Order(9)
	private  short level;
	
	//预警距离
	@Order(10)
	private  int  distance;
}
